<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    protected $fillable = [
        'title',
        'excerpt',
        'content',
        'date_start',
        'date_end',
        'status',
        'deleted',
        'link_to_website',
        'link_to_image',
        'image_id'
    ];
    protected $casts = ['status' => 'boolean'];

    // RELATION  Posts <-> Tags  :
    public function tags() {
        return $this->belongsToMany('App\Tag');
    }

    // RELATION  Posts <-> image :
    public function image() {
        return $this->belongsTo('App\Image');
    }


}
