@extends('layouts.default_back')


@section('content')
    <h1>Editez une nouvelle conférence</h1>

    <div class="well">
        {!! Form::open(['method' => 'put', 'url' => route('admin.posts.update', $post), 'files' => true ]) !!}

        <div class="form-group">
            {!! Form::label('title', 'Titre de la conférence') !!}
            {!! Form::text('title', $post->title, ['class' => 'form-control']) !!}
        </div>


        <div class="form-group">
            {!! Form::label('image', 'Image :') !!}
            {!! Form::file('image', ['class' => 'form-control']) !!}
        </div>

        <div class="form-group">
            {!! Form::label('content', 'Content') !!}
            {!! Form::textarea('content', $post->content, ['class' => 'form-control']) !!}
        </div>


        <div class="form-group">
            {!! Form::label('tags[]', 'tags associés') !!}
            {!! Form::select('tags[]', App\Tag::lists('name', 'id'), $post->tags->lists('id')->all(), ['class' => 'form-control', 'multiple' => true]) !!}
        </div>


        <div class="form-group">
            <div class="checkbox">
                <label>
                    {!! Form::checkbox('status', '1', $post->status) !!} Publier
                </label>
            </div>
        </div>


        <button class="btn btn-primary">Modifier</button>

        {!! Form::close() !!}

    </div>
@endsection


@section('footer')
    <h2>Footer</h2>
@endsection



