<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>@yield('title')</title>

    <meta content="conférence PHP" name="description">
    <meta content="Antoine AFUP" name="author">
    <meta content="Paris, France" name="geo.placename">
    <!--[if lt IE 9]><script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>



    <link href="{{ asset('assets/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css">
    <link href="{{ asset('assets/css/bootstrap-theme.min.css') }}" rel="stylesheet" type="text/css">
</head>

<body>

    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{{ url('/') }}">Conférence PHP</a>
            </div>

            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li><a href="{{ url('admin/posts/create') }}">Ajouter une conférence</a></li>
                    <li><a href="{{ url('admin/posts') }}">Modifier les conférences</a></li>
                    <li><a href="{{ url('about') }}">A propos</a></li>
                </ul>

                <ul class="nav navbar-nav navbar-right">
                    <li><a href="{{ url('/') }}">Retourner sur le site</a></li>
                    <li><a href="{{ url('/admin/posts') }}">Home dashboard</a></li>
                    <li><a href="{{ url('/auth/logout') }}">Se déconnecter</a></li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="container">
        <div id="main" role="main">
            <section id="post" >
                <article class="news">
                    @if(Session::has('message'))
                        <blockquote>
                            <div class="alert alert-dismissible alert-success">{{ Session::get('message') }}</div>
                        </blockquote>
                    @elseif(Session::has('error'))
                        <blockquote>
                            <div class="alert alert-dismissible alert-danger">{{ Session::get('error') }}</div>
                        </blockquote>
                    @endif

                    {{--ici enfant --}}
                    @yield('content')
                </article>

            </section>
        </div>
    </div>


    <script src="http://code.jquery.com/jquery-1.11.3.min.js"></script>
    <script>
        $(".btn-modal").click(function() {
            $(this).parent().find('.modal').fadeIn(500).css('background-color', 'rgba(26, 36, 47, 0.75)');
        });

        $(".close, .btn-cancel").click(function() {
            $(this).parent().parent().parent().parent().parent().find('.modal').fadeOut(500);
        });

    </script>
</body>
</html>